#ifndef DIRFILEDIALOG_H
#define DIRFILEDIALOG_H 1

#include <QDialog>
#include <QListWidget>
#include <QIcon>
#include <QDir>
#include <QFileInfo>
#include <QFileInfoList>
#include <QGridLayout>

class DirFileDialog : public QDialog
{
		Q_OBJECT

		public:
			DirFileDialog(QWidget *parent);
			QListWidget *lw;

		public slots:
			int exec();

		protected:
			QDir dir;
			QFileInfo fi;
			QFileInfoList fil;
			QString selectedName;
			QGridLayout *gl;

			int populateView();
			QIcon iconForInfo(QFileInfo &info);
};

#endif
